## Trac Config
NameVirtualHost *:80
<VirtualHost *:80>

	ServerAdmin webmaster@localhost
	ServerName trac.iplinternet.local
    ServerAlias altair.iplinternet.local
	
	DocumentRoot /home/raphael/trac/altair/
	
	<Directory /home/raphael/trac/altair>
		Options All -Indexes
		AllowOverride All
		Order allow,deny
		Allow from all
	</Directory>
	
	<Location />
		SetHandler mod_python
		PythonInterpreter main_interpreter
		PythonHandler trac.web.modpython_frontend
		PythonOption TracEnv /home/raphael/trac/altair/
		PythonOption TracUriRoot /
		Order allow,deny
		Allow from all
		AuthType Basic  
		AuthBasicProvider ldap  
		AuthzLDAPAuthoritative off  
		AuthName "Trac : Professeurs Projet Altair Authentification requise"  
		AuthLDAPBindDN "testsvn@iplinternet.local"  
		AuthLDAPBindPassword azerty   
		AuthLDAPURL "ldap://madou.iplinternet.local:3268/DC=iplinternet,DC=local?sAMAccountName?sub?(objectClass=user)" NONE
		Require ldap-group cn=Altair,ou=svn,dc=iplinternet,dc=local	
	</Location>
	
	LogLevel warn

	ErrorLog /var/log/apache2/error.log
	CustomLog /var/log/apache2/access.log combined
	
</VirtualHost>

## SVN config
<VirtualHost *:80>
	ServerAdmin webmaster@localhost
	ServerName svn.iplinternet.local
	
	DocumentRoot /home/raphael/svn/projet/altair/
	
	<Directory /home/raphael/svn/projet/altair>
		Options All -Indexes
		AllowOverride All
		Order allow,deny
		Allow from all
	</Directory>
	
	<Location />
		Order allow,deny
		Allow from all

        # Chargement du module subversion
        DAV svn

        # On indique le chemin complet vers le d�p�t subversion
        SVNPath /home/raphael/svn/projet/altair/

        # Ici on demande une identification avec Active Directory
		SVNPathAuthz off  
		SVNListParentPath on
		AuthType Basic  
		AuthBasicProvider ldap  
		AuthzLDAPAuthoritative off  
		AuthName "SVN : Professeurs Projet Altair Authentification requise"  
		AuthLDAPBindDN "testsvn@iplinternet.local"  
		AuthLDAPBindPassword azerty   
		AuthLDAPURL "ldap://madou.iplinternet.local:3268/DC=iplinternet,DC=local?sAMAccountName?sub?(objectClass=user)" NONE
		Require ldap-group cn=Altair,ou=svn,dc=iplinternet,dc=local	

        # On indique ici le fichier de configuration des permissions d'acc�s aux dossiers du projet... si n�cessaire
        # AuthzSVNAccessFile /var/www/private/altairperm
	</Location>
	
	LogLevel warn

	ErrorLog /var/log/apache2/error.log
	CustomLog /var/log/apache2/access.log combined
	
</VirtualHost>
